%define	name	elementary
%define version 0.7.0.55225
%define release %mkrel 1

%define major	0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Basic widget set that is easy to use based on EFL for mobile touch-screen devices
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	http://download.enlightenment.org/snapshots/TMP/st/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	edje-devel >= 1.0.0, edje >= 1.0.0
BuildRequires:	e_dbus-devel efreet-devel
BuildRequires:	embryo
BuildRequires:	eet

%description
a basic widget set that is easy to use based on EFL for mobile
touch-screen devices

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%setup -q

%build
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_libdir}/elementary
%{_libdir}/edje/modules/elm
%{_datadir}/applications/*.desktop
%{_datadir}/%name
%{_iconsdir}/%name.png

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*


%changelog
* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 0.7.0.55225-1mdv2011.0
+ Revision: 622837
- new version 0.7.0.55225

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 0.7.0.54504-1mdv2011.0
+ Revision: 597956
- new version 0.7.0.54504

* Thu Oct 14 2010 Funda Wang <fwang@mandriva.org> 0.7.0.52995-1mdv2011.0
+ Revision: 585538
- new snapshot

* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 0.7.0.49898-1mdv2011.0
+ Revision: 554106
- BR eet
- new version 0.7.0.49898

* Fri Jan 29 2010 Funda Wang <fwang@mandriva.org> 0.6.0.063-4mdv2010.1
+ Revision: 498296
- rebuild

* Wed Jan 27 2010 Funda Wang <fwang@mandriva.org> 0.6.0.063-3mdv2010.1
+ Revision: 497330
- fix desktop file

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.6.0.063-2mdv2010.1
+ Revision: 478179
- add freet BR
- fix file list
- new version 0.6.0.063

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 0.5.1.0-1mdv2010.0
+ Revision: 411136
- new version 0.5.1.0

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 0.5.0.0-1mdv2010.0
+ Revision: 393520
- add back embryo BR  for embryo_cc binary
- new version 0.5.00

* Mon Mar 02 2009 Antoine Ginies <aginies@mandriva.com> 0.1.0.0-2mdv2009.1
+ Revision: 347358
- bump release
- add embry buildrequires
- import elementary


